Draft Text: Difference between revisions

From FreeCAD Documentation
(<translate>)
Line 1: Line 1:
<translate>
{{GuiCommand|Name=Draft_Text|Workbenches=[[Draft Module|Draft]], [[Arch Module|Arch]]|MenuLocation=Draft -> Text|Shortcut=T E}}
{{GuiCommand|Name=Draft_Text|Workbenches=[[Draft Module|Draft]], [[Arch Module|Arch]]|MenuLocation=Draft -> Text|Shortcut=T E}}


==Description==
==Description==

The Text tool inserts a piece of text at a given point in the current document. It takes the [[Draft Linestyle|text size and color]] previously set on the Tasks tab.
The Text tool inserts a piece of text at a given point in the current document. It takes the [[Draft Linestyle|text size and color]] previously set on the Tasks tab.


Line 8: Line 8:


==How to use==
==How to use==

# Press the {{KEY|[[Image:Draft Text.png|16px]] [[Draft Text]]}} button, or press {{KEY|T}} then {{KEY|E}} keys
# Press the {{KEY|[[Image:Draft Text.png|16px]] [[Draft Text]]}} button, or press {{KEY|T}} then {{KEY|E}} keys
# Click a point on the 3D view, or type a [[Draft_Coordinates|coordinate]]
# Click a point on the 3D view, or type a [[Draft_Coordinates|coordinate]]
Line 24: Line 23:


==Properties==
==Properties==

* {{PropertyData|Position}}: The base point of the text block
* {{PropertyData|Position}}: The base point of the text block
* {{PropertyData|Label Text}}: The contents of the text block
* {{PropertyData|Label Text}}: The contents of the text block
Line 36: Line 34:


==Scripting==
==Scripting==

The Text tool can by used in [[macros]] and from the python console by using the following function:
The Text tool can by used in [[macros]] and from the python console by using the following function:
</translate>

<syntaxhighlight>
'''makeText (string or list, [Vector], [screenmode])''' : Creates a Text object, at the given point if a vector
'''makeText (string or list, [Vector], [screenmode])'''
is provided, containing the string or the strings given in the list, one string by line. The current Draft color
</syntaxhighlight>
and text height and font specified in preferences are used. If screenmode is True, the text always faces the view
<translate>
direction, otherwise it lies on the XY plane. Returns the newly created object.
* Creates a Text object, at the given point if a vector is provided, containing the string or the strings given in the list, one string by line. * The current Draft color and text height and font specified in preferences are used.
* If screenmode is True, the text always faces the view direction, otherwise it lies on the XY plane.
* Returns the newly created object.


Example:
Example:
</translate>

<syntaxhighlight>
import FreeCAD,Draft
import FreeCAD,Draft
Draft.makeText("This is a sample text",FreeCAD.Vector(1,1,0))
Draft.makeText("This is a sample text",FreeCAD.Vector(1,1,0))


</syntaxhighlight>
{{languages | {{es|Draft Text/es}} {{fr|Draft Text/fr}} {{it|Draft Text/it}} {{se|Draft Text/se}} }}
{{clear}}
<languages/>

Revision as of 21:39, 13 January 2014

Draft_Text

Menu location
Draft -> Text
Workbenches
Draft, Arch
Default shortcut
T E
Introduced in version
-
See also
None

Description

The Text tool inserts a piece of text at a given point in the current document. It takes the text size and color previously set on the Tasks tab.

How to use

  1. Press the Draft Text button, or press T then E keys
  2. Click a point on the 3D view, or type a coordinate
  3. Enter the desired text, pressing ENTER between each line
  4. Press ENTER twice to finish the operation.

Options

  • Pressing CTRL will snap your point to available snap locations.
  • To enter coordinates manually, simply enter the numbers, then press ENTER between each X, Y and Z component.
  • Pressing ESC will cancel the operation.
  • When editing the text, pressing ENTER or DOWN ARROW allow you to enter or edit a next line of text.
  • Pressing UP ARROW allows you to edit a previous line of text.
  • Pressing ENTER twice (thus leaving the last line empty) adds the text to the document and closes the editor.

Properties

  • DataPosition: The base point of the text block
  • DataLabel Text: The contents of the text block
  • ViewDisplay Mode: Specifies if the text is aligned to the scene axes or always faces the camera
  • ViewFont Size: The size of the letters
  • ViewJustification: Specifies if the text is aligned to the left, right or center of the base point.
  • ViewLine Spacing: Specifies the space between lines of text
  • ViewRotation: Specifies a rotation to be applied to the text
  • ViewRotation Axis: Specifies the axis to use for the rotation
  • ViewFont Name: The font to use to draw the text. It can be a font name, such as "Arial", a default style such as "sans", "serif" or "mono", or a family such as "Arial,Helvetica,sans" or a name with a style such as "Arial:Bold". If the given font is not found on the system, a generic one is used instead.

Scripting

The Text tool can by used in macros and from the python console by using the following function:

 '''makeText (string or list, [Vector], [screenmode])'''
  • Creates a Text object, at the given point if a vector is provided, containing the string or the strings given in the list, one string by line. * The current Draft color and text height and font specified in preferences are used.
  • If screenmode is True, the text always faces the view direction, otherwise it lies on the XY plane.
  • Returns the newly created object.

Example:

 import FreeCAD,Draft
 Draft.makeText("This is a sample text",FreeCAD.Vector(1,1,0))